Add premium_amount_owed to Assignment response
10 structure changes including:
1 Breaking change
1 Addition
8 Modifications
1 Removal
Modified
8
GET /api/v1/assignments
- Response
-
200 response Modified
-
application/json content type Modified
- premium_amount_owed property Added
-
application/json content type Modified
GET /api/v1/assignments/{assignment}
- Response
-
200 response Modified
-
application/json content type Modified
- premium_amount_owed property Added
-
application/json content type Modified
GET /api/v1/invoices
- Query
- job, contractor query parameters Added
POST /api/v1/assignments
- Response
-
201 response Modified
-
application/json content type Modified
- premium_amount_owed property Added
-
application/json content type Modified
POST /api/v1/assignments/cancel
- Response
-
200 response Modified
-
application/json content type Modified
- premium_amount_owed property Added
-
application/json content type Modified
POST /api/v1/assignments/change_dates
- Response
-
200 response Modified
-
application/json content type Modified
-
alternative Modified
- Assignment alternative Modified
-
alternative Modified
-
application/json content type Modified
POST /api/v1/assignments/extend
- Response
-
200 response Modified
-
application/json content type Modified
-
alternative Modified
- Assignment alternative Modified
-
alternative Modified
-
application/json content type Modified
PUT /api/v1/assignments/{assignment}
- Response
-
200 response Modified
-
application/json content type Modified
- premium_amount_owed property Added
-
application/json content type Modified
Removed
1
Breaking
POST /api/v1/files/certificates/evaluate
- Removing a resource is always breaking unless it was deprecated before Breaking
Added
1
POST /api/v1/certificate_evaluations